%define upstream_name    List-AllUtils
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Combines List::Util and List::MoreUtils in one bite-sized package
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(List::MoreUtils) >= 0.280.0
BuildRequires: perl(List::Util) >= 1.310.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Are you sick of trying to remember whether a particular helper is defined
in 'List::Util' or 'List::MoreUtils'? I sure am. Now you don't have to
remember. This module will export all of the functions that either of those
two modules defines.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.90.0-3.mga6
+ Revision: 1029172
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.90.0-2.mga6
+ Revision: 965738
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 sander85 <sander85> 0.90.0-1.mga6
+ Revision: 837089
- update to 0.09

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-3.mga5
+ Revision: 745387
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-2.mga5
+ Revision: 685234
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 jquelin <jquelin> 0.80.0-1.mga5
+ Revision: 616311
- update to 0.08

* Thu Jan 16 2014 guillomovitch <guillomovitch> 0.70.0-1.mga5
+ Revision: 566673
- new version 0.07

* Sat Oct 19 2013 umeabot <umeabot> 0.50.0-2.mga4
+ Revision: 533976
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.50.0-1.mga4
+ Revision: 475917
- update to 0.05

* Sun Aug 25 2013 sander85 <sander85> 0.40.0-1.mga4
+ Revision: 471750
- update to 0.04

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 369123
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 0.30.0-1.mga2
+ Revision: 212981
- update to 0.03

* Sat Jan 22 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 32130
- mageia rebuild
- imported package perl-List-AllUtils

